# Pymetr

Pymetr is a Python library designed to provide an abstraction layer for the control of various instrumentation.
It uses supports pyvisa, raw sockets, and future support for PXIe/PCIe.  It is in the earliest of development stages so use with caution.

## Features

- **Unified Interface**: Communicate seamlessly with instruments regardless of the connection protocol.
- **Modular Design**: Easily extendable to support new types of instruments or communication protocols.
- **CLI Integration**: Comes with a built-in command line interface for direct interaction with instruments.
- **Example Scripts**: Includes examples to get you started with common tasks.

## Installation

You can install Pymetr directly from GitHub using pip:

```bash
pip install git+https://github.com/Pymetr/Pymetr.git
```

## Documentation

For detailed documentation, visit [Link to Documentation](docs/build//html/index.html).

## Examples

Check out the `examples/` directory for more examples on how to use Pymetr.

## License

Pymetr is licensed under the [MIT License](LICENSE).

## Authors

- Ryan C. Smith

## Acknowledgments

Thanks to all the contributors who have helped shape Pymetr into what it is today!
